Subject: Re: multithread safe program
From: [email-masked] (Mikey)

24 Dec 1997 05:16:53 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: TANAKA Keishiro <[email-masked]>, [email-masked]

To use gld with vc++ objects you might want to try
ftp://ftp.deninc.com/incoming
B18-patched-link-compat-ld.tgz
this should handle the comdat sections that are
not being linked in by B18 gld.

On Wed, 24 Dec 1997 09:13:06 +0900, you wrote:

>Hi.
>Thanks replying to my mail > Pat, Geoffrey.
>I knew that the gnu-win32 cygnus library has not supported
>multithread-safe yet. 
>And I have tried also with mingw32 and libcrtdll.a, but it resulted in
>failure. I wonder that maybe crtdll.dll in $WINDOWS directory is not
>multithread-safe.
>
>># like ld -e _mainCRTStartup mine.o libcmt.a libkernel32.a
>>Several warnings are issued but executable is successfuly generated.
>>But the executable is not able to run (DLL not found etc.).
>
>Using objects Microsoft VC++ generated with gld, gld often issues that
>the object has duplicated .text section. nm (in gnuwin32) reports that
>two .text sections exists in the object.
>In gld (ldlang.c), if section is duplicated and multiple same section
>exists, the later section is ignored. I think that the gld cannot link 
>with objects created by Microsoft C++ compiler in a few case. 
>
>And I patched for gld that _imp__ is used for prefix of indirection of
>symbols instead of __imp_.
>
>Best Regards.
>---
>From: TANAKA Keishiro <[email-masked]>
>Subject: multithread safe program
>Date: Tue, 23 Dec 1997 14:35:39 +0900
>Message-ID: <[email-masked]>
>
>ksr> Hi.
>ksr> 
>ksr> Can I create multithread program with gnu-win32 gcc ?
>ksr> The library doesn't seem to be multithread safe.
>ksr> 
>ksr> I tried that I linked my objects with libcmt.a imported from Microsoft
>ksr> libcmt.lib.
>ksr> 
>ksr> # like ld -e _mainCRTStartup mine.o libcmt.a libkernel32.a
>ksr> Several warnings are issued but executable is successfuly generated.
>ksr> But the executable is not able to run (DLL not found etc.).
>ksr> 
>ksr> Best Regards.
>ksr> -
>ksr> For help on using this list (especially unsubscribing), send a message to
>ksr> "[email-masked]" with one line of text: "help".
>ksr> 
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey

Windows vs Linux is a no-win situation.

Windows 95: --  32-bit extensions and a GUI   
shell for a 16-bit patch to an 8-bit OS       
originally coded for a 4-bit processor 
written by a 2-bit company that   
can't produce 1 bit of quality.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".